Profile

Retrieve company identity and profile metadata for a symbol.

Use this endpoint to resolve a ticker into company identity, market metadata, and descriptive business information.

Endpoint

GET /stocks/{symbol}/profile
Test request
/stocks/AAPL/profile
Send a request to view the response.

Authentication

Required.

Authorization: Bearer <your_api_key>

Path Parameters

  • symbol: ticker or symbol to resolve

Response

The response contains two top-level objects:

  • identity
  • general

identity includes fields such as company_id, security_id, symbol, exchange, company_name, cik, and market.

general includes fields such as country_iso, currency, company_website, business_description, industry_template, company_country, ipo_date, and security_active.

Example Request

curl -H "Authorization: Bearer $your_api_key" \
  "https://api.apifinance.ai/stocks/AAPL/profile"